Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gl4java.utils.glut
Interface GLUTFunc

All Superinterfaces:
  GLUTEnum

All Known Implementing Classes:
  GLUTFuncLightImpl

public interface GLUTFunc
extends GLUTEnum

Fields inherited from interface gl4java.utils.glut.GLUTEnum
`GLUT_BITMAP_8_BY_13, GLUT_BITMAP_9_BY_15, GLUT_BITMAP_HELVETICA_10, GLUT_BITMAP_HELVETICA_12, GLUT_BITMAP_HELVETICA_18, GLUT_BITMAP_TIMES_ROMAN_10, GLUT_BITMAP_TIMES_ROMAN_24, GLUT_BLUE, GLUT_GREEN, GLUT_RED, GLUT_STROKE_MONO_ROMAN, GLUT_STROKE_ROMAN, GLUT_VIDEO_RESIZE_HEIGHT, GLUT_VIDEO_RESIZE_HEIGHT_DELTA, GLUT_VIDEO_RESIZE_IN_USE, GLUT_VIDEO_RESIZE_POSSIBLE, GLUT_VIDEO_RESIZE_WIDTH, GLUT_VIDEO_RESIZE_WIDTH_DELTA, GLUT_VIDEO_RESIZE_X, GLUT_VIDEO_RESIZE_X_DELTA, GLUT_VIDEO_RESIZE_Y, GLUT_VIDEO_RESIZE_Y_DELTA, GLUT_XLIB_IMPLEMENTATION`

Method Summary
`int` | `glutBitmapLength(int font, java.lang.String string)`
`void` | `glutBitmapString(int font, java.lang.String s)`
`int` | `glutBitmapWidth(int font, int character)`
`java.lang.String` | `glutGetFontDescription(int font)`
`void` | `glutReportErrors()`
`void` | `glutSetupVideoResizing()`
`void` | `glutSolidCone(double base, double height, int slices, int stacks)`
`void` | `glutSolidCube(double size)`
`void` | `glutSolidDodecahedron()`
`void` | `glutSolidIcosahedron()`
`void` | `glutSolidOctahedron()`
`void` | `glutSolidSphere(double radius, int slices, int stacks)`
`void` | `glutSolidTeapot(double size)`
`void` | `glutSolidTetrahedron()`
`void` | `glutSolidTorus(double innerRadius, double outerRadius, int sides, int rings)`
`void` | `glutStopVideoResizing()`
`int` | `glutStrokeLength(int font, java.lang.String string)`
`void` | `glutStrokeString(int font, java.lang.String s)`
`int` | `glutStrokeWidth(int font, int character)`
`void` | `glutVideoPan(int x, int y, int width, int height)`
`void` | `glutVideoResize(int x, int y, int width, int height)`
`int` | `glutVideoResizeGet(int param)`
`void` | `glutWireCone(double base, double height, int slices, int stacks)`
`void` | `glutWireCube(double size)`
`void` | `glutWireDodecahedron()`
`void` | `glutWireIcosahedron()`
`void` | `glutWireOctahedron()`
`void` | `glutWireSphere(double radius, int slices, int stacks)`
`void` | `glutWireTeapot(double size)`
`void` | `glutWireTetrahedron()`
`void` | `glutWireTorus(double innerRadius, double outerRadius, int sides, int rings)`
`void` | `init(GLFunc gl, GLUFunc glu)`

Method Detail

### init

    public void init(GLFunc gl,
                     GLUFunc glu)

### glutGetFontDescription

    public java.lang.String glutGetFontDescription(int font)

### glutBitmapString

    public void glutBitmapString(int font,
                                 java.lang.String s)

### glutBitmapWidth

    public int glutBitmapWidth(int font,
                               int character)

### glutStrokeString

    public void glutStrokeString(int font,
                                 java.lang.String s)

### glutStrokeWidth

    public int glutStrokeWidth(int font,
                               int character)

### glutBitmapLength

    public int glutBitmapLength(int font,
                                java.lang.String string)

### glutStrokeLength

    public int glutStrokeLength(int font,
                                java.lang.String string)

### glutWireSphere

    public void glutWireSphere(double radius,
                               int slices,
                               int stacks)

### glutSolidSphere

    public void glutSolidSphere(double radius,
                                int slices,
                                int stacks)

### glutWireCone

    public void glutWireCone(double base,
                             double height,
                             int slices,
                             int stacks)

### glutSolidCone

    public void glutSolidCone(double base,
                              double height,
                              int slices,
                              int stacks)

### glutWireCube

    public void glutWireCube(double size)

### glutSolidCube

    public void glutSolidCube(double size)

### glutWireTorus

    public void glutWireTorus(double innerRadius,
                              double outerRadius,
                              int sides,
                              int rings)

### glutSolidTorus

    public void glutSolidTorus(double innerRadius,
                               double outerRadius,
                               int sides,
                               int rings)

### glutWireDodecahedron

    public void glutWireDodecahedron()

### glutSolidDodecahedron

    public void glutSolidDodecahedron()

### glutWireTeapot

    public void glutWireTeapot(double size)

### glutSolidTeapot

    public void glutSolidTeapot(double size)

### glutWireOctahedron

    public void glutWireOctahedron()

### glutSolidOctahedron

    public void glutSolidOctahedron()

### glutWireTetrahedron

    public void glutWireTetrahedron()

### glutSolidTetrahedron

    public void glutSolidTetrahedron()

### glutWireIcosahedron

    public void glutWireIcosahedron()

### glutSolidIcosahedron

    public void glutSolidIcosahedron()

### glutVideoResizeGet

    public int glutVideoResizeGet(int param)

### glutSetupVideoResizing

    public void glutSetupVideoResizing()

### glutStopVideoResizing

    public void glutStopVideoResizing()

### glutVideoResize

    public void glutVideoResize(int x,
                                int y,
                                int width,
                                int height)

### glutVideoPan

    public void glutVideoPan(int x,
                             int y,
                             int width,
                             int height)

### glutReportErrors

    public void glutReportErrors()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD